#include <algorithm>
#include <vector>
#include <iostream>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;


struct Input {
	vector<double> numbers;
	size_t bin_count{};
};

Input
input_data() {
	size_t number_count;
	Input in;
	cerr << "Enter number_count ";
	cin >> number_count;

	in.numbers.resize(number_count);
	cerr << "Enter numbers ";
	for (int i = 0; i < number_count;i++) {
		cin >> in.numbers[i];
	}

	cerr << "Enter bin count \n";
	cin >> in.bin_count;

	return in;
}

void
find_minmax(const vector<double>& numbers, double& min, double& max);

vector<size_t>
make_histogram(const vector<double>& numbers, size_t bin_count);

void
show_histogram_text(vector<size_t> bins);

void
show_histogram_svg(const vector<size_t>& bins);

int main() {
	Input in = input_data();
	auto bins = make_histogram(in.numbers, in.bin_count);
	show_histogram_svg(bins);
	return 0;
}
